pkgsrc-Changes-HG archive
[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index][Old Index]
[pkgsrc/trunk]: pkgsrc/mk/wrapper Since the wrapper transformations are usual...
details: https://anonhg.NetBSD.org/pkgsrc/rev/409b24706fdd
branches: trunk
changeset: 522439:409b24706fdd
user: rillig <rillig%pkgsrc.org@localhost>
date: Sat Dec 09 12:11:28 2006 +0000
description:
Since the wrapper transformations are usually quite hard to follow and
may lead to failure for some packages, a note to the user is printed
when a wrapped command fails, including the "real" command line of the
wrapped command.
This change arose from the implicit addition of the -std=c99, -std=gnu99
or -c99 options, which made some packages fail with obscure error
messages. This change helps users get to the real cause more quickly.
diffstat:
mk/wrapper/wrapper.sh | 8 +++++++-
1 files changed, 7 insertions(+), 1 deletions(-)
diffs (22 lines):
diff -r cba688a5e35a -r 409b24706fdd mk/wrapper/wrapper.sh
--- a/mk/wrapper/wrapper.sh Sat Dec 09 12:06:55 2006 +0000
+++ b/mk/wrapper/wrapper.sh Sat Dec 09 12:11:28 2006 +0000
@@ -1,6 +1,6 @@
#! @WRAPPER_SHELL@
#
-# $NetBSD: wrapper.sh,v 1.9 2006/11/26 14:42:17 rillig Exp $
+# $NetBSD: wrapper.sh,v 1.10 2006/12/09 12:11:28 rillig Exp $
#
# Copyright (c) 2004 The NetBSD Foundation, Inc.
# All rights reserved.
@@ -120,4 +120,10 @@
. $cleanup
+[ $wrapper_result -eq 0 ] || {
+ echo ""
+ echo "[wrapper.sh] note: The real command line, after the pkgsrc wrapper, was:"
+ echo "$cmd"
+} 1>&2
+
exit ${wrapper_result}
Home |
Main Index |
Thread Index |
Old Index